# BFE

[![GitHub](https://img.shields.io/github/license/baidu/bfe)](https://github.com/baidu/bfe/blob/develop/LICENSE)
[![Travis (.com)](https://img.shields.io/travis/com/baidu/bfe)](https://travis-ci.com/baidu/bfe)
[![Go Report Card](https://goreportcard.com/badge/github.com/baidu/bfe)](https://goreportcard.com/report/github.com/baidu/bfe)
[![GoDoc](https://godoc.org/github.com/baidu/bfe?status.svg)](https://godoc.org/github.com/baidu/bfe/bfe_module)
[![CII Best Practices](https://bestpractices.coreinfrastructure.org/projects/3209/badge)](https://bestpractices.coreinfrastructure.org/projects/3209)
[![FOSSA Status](https://app.fossa.io/api/projects/git%2Bgithub.com%2Fbaidu%2Fbfe.svg?type=shield)](https://app.fossa.io/reports/1bd1bae4-31bf-41bf-8865-320eedbd1f85)
[![CLA assistant](https://cla-assistant.io/readme/badge/baidu/bfe)](https://cla-assistant.io/baidu/bfe)
[![Slack Widget](https://img.shields.io/badge/join-us%20on%20slack-gray.svg?longCache=true&logo=slack&colorB=green)](https://bfe-networks.slack.com/messages/bfedev)

BFE is an open-source layer 7 load balancer derived from proprietary Baidu FrontEnd.

## Advantages
- Multiple protocols supported, including HTTP, HTTPS, SPDY, HTTP2, WebSocket, TLS, etc.
- Content based routing, support user-defined routing rule in advanced domain-specific language.
- Support multiple load balancing policies.
- Flexible plugin framework to extend functionality. Based on the framework, developer can add new features rapidly.
- Detailed built-in metrics available for service status monitor.

## Getting Started
- [Build and run](docs/en_us/install.md)

## Running the tests
- See [Build and run](docs/en_us/install.md)

## Documentation
- [Overview](docs/en_us/overview.md)
- [Build and run](docs/en_us/install.md)
- [Concepts](docs/en_us/concept.md)
- [Functionality](docs/en_us/functionality.md)
- [Monitor](docs/en_us/monitor.md)
- [Plugin](docs/en_us/modules.md)
- [Summary](docs/en_us/SUMMARY.md)

## Contributing
- Please create an issue in [issue list](http://github.com/baidu/bfe/issues).
- Contact Committers/Owners for further discussion if needed.
- Following the golang coding standards.
- See the [CONTRIBUTING](CONTRIBUTING.md) file for details

## Authors
- Owners: [Miao Zhang](mailto:zhangmiao02@baidu.com), [Sijie Yang](mailto:yangsijie@baidu.com)
- Committers: [Sijie Yang](mailto:yangsijie@baidu.com)
- Contributors: [CONTRIBUTORS](CONTRIBUTORS.md)

## Discussion
- Issue: https://github.com/baidu/bfe/issues

## Contact
- Email：bfe-osc@baidu.com

## License
BFE is under the Apache 2.0 license. See the [LICENSE](LICENSE) file for details.
