# 模块简介

ModuleKeyLog以NSS key log格式记录TLS会话密钥, 便于基于第三方工具（例如wireshark) 解密分析TLS加密流量，方便问题诊断分析

关于NSS key log详细格式说明，参见:
https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSS/Key_Log_Format

# 基础配置
## 配置描述
| 配置项                | 描述                                        |
| ---------------------| ------------------------------------------- |
| LogPrefix            | String<br>日志文件前缀名称 |
| LogDir | String<br>日志文件目录 |
| RotateWhen | String<br>日志切割时间，支持 M/H/D/MIDNIGHT/NEXTHOUR |
| BackupCount | Integer<br>最大的日志存储数量 |
## 配置示例
```
[Log]
# filename prefix for log 
LogPrefix = key

# log directory 
LogDir = ./log

# interval to rotate logs: M/H/D/MIDNIGHT/NEXTHOUR
RotateWhen = H 

# max number of rotated log files
BackupCount = 3
```